Bug 1651576 - cannot delete all VFs
Summary: cannot delete all VFs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: NetworkManager
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.0
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1659514
TreeView+ depends on / blocked
 
Reported: 2018-11-20 11:28 UTC by Vladimir Benes
Modified: 2019-06-14 00:46 UTC (History)
7 users (show)

Fixed In Version: NetworkManager-1.14.0-10.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1659514 (view as bug list)
Environment:
Last Closed: 2019-06-14 00:46:35 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Vladimir Benes 2018-11-20 11:28:08 UTC
Description of problem:
When I created a connection with sriov.total-vfs 2 and upped it I saw two new VFs (virtual functions) created. After modifying to 0 and reconnecting I could still saw two. When I modified to 1 it was working well and just one VS was available

Version-Release number of selected component (if applicable):
NetworkManager-1.14.0-5.el8.x86_64

How reproducible:
always

Steps to Reproduce:
1. nmcli con add type ethernet ifname \* sriov.total-vfs 2 con-name vfs
2. nmcli con up vfs
3. nmcli con mod vfs sriov.total-vfs 0
4. nmcli con up vfs


Actual results:
still 2 VFs

Expected results:
just real device should be present, no VFs

Additional info:

Comment 1 Beniamino Galvani 2018-12-11 13:34:52 UTC
https://github.com/NetworkManager/NetworkManager/pull/258

Comment 3 Vladimir Benes 2018-12-14 14:48:45 UTC
deleting when we probe for drivers works as expected but:
    @sriov_con_set_VF_to_0
    Scenario: nmcli - sriov - add 1 VF
    * Add a new connection of type "ethernet" and options "ifname em2 con-name sriov sriov.total-vfs 1 sriov.autoprobe-drivers false"
    * Execute "nmcli connection modify sriov sriov.total-vfs 0"
    * Bring "up" connection "sriov"
    Then "1" is not visible with command "cat /sys/class/net/em2/device/sriov_numvfs"
    And "vf 0" is not visible with command "ip link show dev em2 |grep 'vf 0'"


is stalled in 
    * Bring "up" connection "sriov"

I will file a separate bug for this.

Comment 4 Vladimir Benes 2018-12-17 13:27:39 UTC
as said, bug 1659514 is still here, in driver mode true it's working well.


Note You need to log in before you can comment on or make changes to this bug.